var isLayer;
var maxVersion = 7;
var flashVersion = 0;
var f2,f3,f4,f5,f6,f7 = false;
var isIE = (navigator.appVersion.indexOf("MSIE") >=0) ? true : false;
var isMac = (navigator.appVersion.indexOf("Mac") >=0) ? true : false;
var isWin = (navigator.appVersion.indexOf("Windows") >=0) ? true : false;
var isN6 = (document.getElementById && !document.all) ? true : false;
var isN	= (document.layers) ? true : false;
var useLayer = (isN || isN6 || isMac) ? true : false ;
var plat = (window.navigator.userAgent.indexOf("AOL")>=0 || window.navigator.userAgent.indexOf("A.O.L.")>=0)? "AOL" : "norm";
if(isIE && isWin){
	document.write("<" + "SCR" + "IPT LANGUAGE=VBScript> \n");
	document.write("on error resume next \n");
	document.write("f2 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.2\"))) \n");
	document.write("f3 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.3\"))) \n");
	document.write("f4 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.4\"))) \n");
	document.write("f5 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.5\"))) \n");  
	document.write("f6 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.6\"))) \n");  
	document.write("f7 = (IsObject(CreateObject(\"ShockwaveFlash.ShockwaveFlash.7\"))) \n");  
	document.write("<" + "/SCR" + "IPT> \n");
}
if (navigator.plugins){
	if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
		var isVersion2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
		var flashDescription = navigator.plugins["Shockwave Flash" + isVersion2].description;
		var fver = parseInt(flashDescription.charAt(flashDescription.indexOf(".") - 1));
		f2 = fver == 2;
		f3 = fver == 3;
		f4 = fver == 4;
		f5 = fver == 5;
		f6 = fver == 6;
		f7 = fver == 7;
	}
}
for (var i = 2; i <= maxVersion; i++){
	if (eval("f"+i) == true) flashVersion = i;
}	
if(navigator.userAgent.indexOf("WebTV") != -1) {
	flashVersion = 3;
}
if (document.getElementById && !isIE && isLayer) {
	document.write("<style>.flashLayerClass {position:relative;z-index:3;visibility:visible;}</style>")
}